#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import email.utils, os, sys
from sbazaar import branch_last_revision_no_date

#change here the version number
VERSION     = \
    '#generated by package_phatch.py\nVERSION = "0.0.bzr%d"\nDATE = "%s"\n'
DATA_PATH   = '../../trunk/phatch/data'
sys.path.insert(0,os.path.abspath(DATA_PATH))

#write version & date automatically retrieved from bazaar
version_file= open(os.path.join(DATA_PATH,'version.py'),'w')
version_file.write(VERSION%branch_last_revision_no_date(DATA_PATH))
version_file.close()

from info import INFO
INFO['name']=INFO['name'].lower()
INFO['date']=email.utils.formatdate(localtime=True)

FILES   = {

'package_phatch' : """#!/bin/bash
echo "Creating a clean debian folder"
rm -rf ../debian
mkdir ../debian
cd ../debian
echo "Getting sources from bazaar"
bzr branch ../../trunk
rm -rf trunk/.bzr
rm trunk/.bzrignore
mv trunk %(name)s-%(version)s
echo "Create a tar ball"
tar -cvvzf %(name)s-%(version)s.tar.gz %(name)s-%(version)s/
echo "Run dh_make"
cd %(name)s-%(version)s
export DEBFULLNAME="Stani"
dh_make -f ../%(name)s-%(version)s.tar.gz -e spe.stani.be@gmail.com -b -c gpl
rm debian/*.ex debian/*.EX debian/dirs debian/README.Debian
cp ../../_debian/control debian/control
cp ../../_debian/copyright debian/copyright
cp ../../_debian/rules debian/rules
echo "Build package"
dpkg-buildpackage -rfakeroot
echo "Press [RETURN] to continue"; read a; case $a in *);; esac
""",

'control':"""Source: %(name)s
Section: graphics
Priority: optional
Maintainer: %(maintainer)s <%(author_email)s>
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: cdbs (>= 0.4.43), python-all-dev (>= 2.3.5-11), python-central (>= 0.5.6)
Standards-Version: 3.7.2
XS-Python-Version: all

Package: %(name)s
Architecture: all
Depends: ${python:Depends}, python-imaging, python-wxgtk2.8 | python-wxgtk2.6, python-wxversion
XB-Python-Version: ${python:Versions}
Description: %(description)s
 Phatch enables you to resize, rotate, mirror,
 apply watermarks, shadows, rounded courners,... 
 to any photo collection easily with a 
 single mouse click. You can arrange your own 
 action lists and write plugins with PIL.
 .
 Homepage: %(url)s
""",

'copyright':"""This package was debianized by %(author)s <%(author_email)s> on
%(date)s.

It was downloaded from %(download_url)s

Upstream Author: %(author)s <%(author_email)s>

Copyright: %(copyright)s

License:

   This package is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version %(gpl_version)s of the License, or
   (at your option) any later version.

   This package is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this package; if not, write to the Free Software
   Foundation, Inc., %(fsf_adress)s

On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL'.

The Debian packaging is %(copyright)s <%(author_email)s> and
is licensed under the GPL, see above.
""",
}

PATH    = os.path.dirname(os.path.abspath(__file__))

def save(filename,content):
    file = open(os.path.join(PATH,filename),'w')
    file.write(content%INFO)
    file.close()
    sys.stdout.write('Created %s\n'%filename)

def main():
    for filename, content in FILES.items():
        save(filename,content)
    
if __name__ == '__main__':
    main()
