from bzrlib import bzrdir

def _branch_last_revision_info(location=None):
    a_bzrdir    = bzrdir.BzrDir.open_containing(location)[0]
    working     = a_bzrdir.open_workingtree(recommend_upgrade=False)
    working.lock_read()
    info        = working.branch.last_revision_info()
    working.unlock()
    return info

def branch_last_revision_no(location=None):
    info        = _branch_last_revision_info(location)
    return info[0]

def branch_last_revision_email(location=None):
    info        = _branch_last_revision_info(location)
    return info[1].split('-')[0]

def branch_last_revision_date(location=None):
    info        = _branch_last_revision_info(location)
    return info[1].split('-')[1]

def branch_last_revision_info(location=None):
    info        = _branch_last_revision_info(location)
    email_date  = info[1].split('-')
    return info[0], email_date[0], email_date[1]

def branch_last_revision_no_date(location=None):
    info        = _branch_last_revision_info(location)
    email_date  = info[1].split('-')
    return info[0], email_date[1]

if __name__ == '__main__':
    import sys
    sys.stdout.write(
        '%s %s %s\n'%branch_last_revision_info(
            '/home/stani/sync/python/phatch/trunk/data'
        )
    )
    